astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Constants (`astropy.constants`) »
- Constant

# Constant

class `astropy.constants.constant.``Constant`(abbrev, name, value, unit, uncertainty, reference, system=None)

  Bases: `astropy.units.quantity.Quantity`

  A physical or astronomical constant.

  These objects are quantities that are meant to represent physical constants.

  Attributes Summary

  `abbrev` | A typical ASCII text abbreviation of the constant, also generally the same as the Python variable used for this constant.
  `cgs` | If the Constant is defined in the CGS system return that instance of the constant, else convert to a Quantity in the appropriate CGS units.
  `name` | The full name of the constant.
  `reference` | The source used for the value of this constant.
  `si` | If the Constant is defined in the SI system return that instance of the constant, else convert to a Quantity in the appropriate SI units.
  `system` | The system of units in which this constant is defined (typically `None` so long as the constant’s units can be directly converted between systems).
  `uncertainty` | The known uncertainty in this constant’s value.
  `unit` | The unit(s) in which this constant is defined.

  Attributes Documentation

  `abbrev`

    A typical ASCII text abbreviation of the constant, also generally the same as the Python variable used for this constant.

  `cgs`

    If the Constant is defined in the CGS system return that instance of the constant, else convert to a Quantity in the appropriate CGS units.

  `name`

    The full name of the constant.

  `reference`

    The source used for the value of this constant.

  `si`

    If the Constant is defined in the SI system return that instance of the constant, else convert to a Quantity in the appropriate SI units.

  `system`

    The system of units in which this constant is defined (typically `None` so long as the constant’s units can be directly converted between systems).

  `uncertainty`

    The known uncertainty in this constant’s value.

  `unit`

    The unit(s) in which this constant is defined.